Bug 1126136 - sdl unicode bug causing random lockups (sdl bug 2325)
Summary: sdl unicode bug causing random lockups (sdl bug 2325)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: SDL
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: https://bugzilla.libsdl.org/show_bug....
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-02 08:41 UTC by Ozkan Sezer
Modified: 2015-11-16 07:21 UTC (History)
1 user (show)

Fixed In Version: SDL-1.2.15-13.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-01 08:54:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
SDL Simple Directmedia Layer 2325 None None None Never

Description Ozkan Sezer 2014-08-02 08:41:11 UTC
Description of problem:

See SDL bug 2325: https://bugzilla.libsdl.org/show_bug.cgi?id=2325
One of the affected games is hexen2 (uhexen2) as described in the
bug entry. The upstream has fixed it: Compiled SDL-1.2 from SDL hg
repository, running uhexen2 against it doesn't show the problem.


Version-Release number of selected component (if applicable):

SDL-1.2.15 as appears in f20, and all other fedora releases.


Solution:

Please apply the upstream fix:
https://hg.libsdl.org/SDL/rev/0aade9c0203f

Comment 1 Petr Pisar 2014-08-04 08:06:12 UTC
Thanks for the pointer. I will apply to the patch into all Fedoras.

Comment 2 Petr Pisar 2014-08-04 08:09:06 UTC
Fixed as SDL-1.2.15-16.fc21 in F21.

Comment 3 Fedora Update System 2014-08-04 08:15:27 UTC
SDL-1.2.15-13.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/SDL-1.2.15-13.fc20

Comment 4 Fedora Update System 2014-08-04 08:19:35 UTC
SDL-1.2.15-13.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/SDL-1.2.15-13.fc19

Comment 5 Fedora Update System 2014-08-08 08:36:11 UTC
SDL-1.2.15-13.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-08-16 00:30:52 UTC
SDL-1.2.15-13.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora End Of Life 2015-05-29 12:32:47 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ozkan Sezer 2015-11-14 07:06:55 UTC
Is it possible that this fix be applied to RHEL6 and RHEL7,
and by extension to CentOS6 and CentOS7 versions of SDL1.2?

Comment 9 Petr Pisar 2015-11-16 07:21:15 UTC
Fedora bugs are independent from RHEL bugs. The decision is not up to me. Please contact Red Hat support to evaluate your request properly.


Note You need to log in before you can comment on or make changes to this bug.